<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="MediatR" Version="12.4.1" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Modules.Library.Domain\Modules.Library.Domain.csproj" />
    <ProjectReference Include="..\Modules.Media.Api\Modules.Media.Api.csproj" />
    <ProjectReference Include="..\Modules.Rating.Api\Modules.Rating.Api.csproj" />
    <ProjectReference Include="..\Modules.User.Application\Modules.User.Application.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Commands\Dictionaries\Countries\" />
    <Folder Include="Queries\Anime\Episode\" />
    <Folder Include="Queries\Anime\Season\" />
  </ItemGroup>

</Project>
